package com.sifang.modules.supply.order.request;

import org.hibernate.validator.constraints.NotBlank;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author hongzq
 */
public class InStockDetailReq implements Serializable {
    @NotBlank(message = "明细di不能为空")
    private String detailId;
    private String position;
    private BigDecimal inAmount;
    private BigDecimal confirmAmount;

    public BigDecimal getInAmount() {
        return inAmount;
    }

    public void setInAmount(BigDecimal inAmount) {
        this.inAmount = inAmount;
    }

    public String getDetailId() {
        return detailId;
    }

    public void setDetailId(String detailId) {
        this.detailId = detailId;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public BigDecimal getConfirmAmount() {
        return confirmAmount;
    }

    public void setConfirmAmount(BigDecimal confirmAmount) {
        this.confirmAmount = confirmAmount;
    }

    @Override
    public String toString() {
        return "InStockDetailReq{" +
                "detailId='" + detailId + '\'' +
                ", position='" + position + '\'' +
                '}';
    }
}
